Debian Bug report logs - #559916
ITP: numpydoc -- numpy sphinx extension

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Yaroslav Halchenko <debian@onerussian.com>

Date: Mon, 7 Dec 2009 19:51:01 UTC

Owned by: Denis Laxalde <denis@laxalde.org>

Severity: wishlist

Fixed in version numpydoc/0.4-1

Done: Denis Laxalde <denis@laxalde.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#559916; Package python-numpy. (Mon, 07 Dec 2009 19:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
New Bug report received and forwarded. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Mon, 07 Dec 2009 19:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: numpy: please package sphinxext as a package (e.g. python-numpy-sphinxext)
Date: Mon, 07 Dec 2009 14:48:56 -0500
Package: python-numpy
Version: 1:1.3.0-3
Severity: wishlist
File: numpy


Growing number of python packages using sphinx to build their documentation
uses numpy's conventions, thus require sphinxext-ensions from numpy (e.g.
docscrape*py, numpydoc.py etc).  Unfortunately those, although present in numpy
sources, are not provided with any of the binary packages in Debian.

I am not sure if those should be provided under numpy module umbrella
(since they are not actually there), e.g. numpy.doc.sphinxext .

May be it could be numpy-sphinxext ?

It might be worth also consulting "upstream" I guess ;)

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (901, 'unstable'), (900, 'testing'), (300, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages python-numpy depends on:
ii  libatlas3gf-base [liblapack.s 3.6.0-24   Automatically Tuned Linear Algebra
ii  libblas3gf [libblas.so.3gf]   1.2-2      Basic Linear Algebra Subroutines 3
ii  libc6                         2.10.1-6   GNU C Library: Shared libraries
ii  libgcc1                       1:4.4.2-2  GCC support library
ii  libgfortran3                  4.4.2-2    Runtime library for GNU Fortran ap
ii  liblapack3gf [liblapack.so.3g 3.2.1-2    library of linear algebra routines
ii  python                        2.5.4-2    An interactive high-level object-o
ii  python-central                0.6.11     register and build utility for Pyt

python-numpy recommends no packages.

Versions of packages python-numpy suggests:
ii  python-nose                   0.11.1-1   test discovery and running for Pyt
ii  python-numpy-dbg              1:1.3.0-3  Fast array facility to the Python 
ii  python-numpy-doc              1:1.3.0-3  NumPy documentation

-- no debconf information




Severity set to 'important' from 'wishlist' Request was from Yaroslav Halchenko <debian@onerussian.com> to control@bugs.debian.org. (Mon, 12 Jul 2010 14:06:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#559916; Package python-numpy. (Thu, 30 Sep 2010 20:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <michael.hanke@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Thu, 30 Sep 2010 20:09:06 GMT) Full text and rfc822 format available.

Message #12 received at 559916@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: 559916@bugs.debian.org
Subject: Lots of code duplication because this is still unresolved
Date: Thu, 30 Sep 2010 16:04:55 -0400
Hi,

the resolution of this bug is precondition to reduce a significant
amount of code duplication in Debian's python module packages. At
present the following source packages ship some version of the numpydoc
extension (one ships two copies even):

ipython: docs/sphinxext/numpydoc.py
joblib: doc/sphinxext/numpydoc.py
mayavi2: docs/source/mayavi/sphinxext/numpydoc.py
nipy: doc/sphinxext/numpydoc.py
nipy: newdoc/sphinxext/numpydoc.py
nipype: doc/sphinxext/numpydoc.py
python-chaco: docs/source/sphinxext/numpydoc.py
python-networkx: doc/sphinxext/numpydoc.py
python-numpy: doc/sphinxext/numpydoc.py
scikit-learn: doc/sphinxext/numpydoc.py


I suspect more packages to follow.


Thanks,

Michael

-- 
GPG key:  1024D/3144BE0F Michael Hanke
http://mih.voxindeserto.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#559916; Package python-numpy. (Thu, 30 Sep 2010 22:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Thu, 30 Sep 2010 22:00:03 GMT) Full text and rfc822 format available.

Message #17 received at 559916@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Michael Hanke <michael.hanke@gmail.com>, 559916@bugs.debian.org
Subject: Re: [Python-modules-team] Bug#559916: Lots of code duplication because this is still unresolved
Date: Thu, 30 Sep 2010 23:56:03 +0200
Hello Michael

On Thu, Sep 30, 2010 at 22:04, Michael Hanke <michael.hanke@gmail.com> wrote:
> Hi,
>
> the resolution of this bug is precondition to reduce a significant
> amount of code duplication in Debian's python module packages.

Thanks for your interest in this bug; are you also going a bit further
and propose a patch to fix it (this would actually help to resolve
this bug)?

Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#559916; Package python-numpy. (Thu, 30 Sep 2010 22:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <michael.hanke@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Thu, 30 Sep 2010 22:51:02 GMT) Full text and rfc822 format available.

Message #22 received at 559916@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: Sandro Tosi <morph@debian.org>
Cc: 559916@bugs.debian.org
Subject: Re: [Python-modules-team] Bug#559916: Lots of code duplication because this is still unresolved
Date: Thu, 30 Sep 2010 18:46:01 -0400
On Thu, Sep 30, 2010 at 11:56:03PM +0200, Sandro Tosi wrote:
> Thanks for your interest in this bug; are you also going a bit further
> and propose a patch to fix it (this would actually help to resolve
> this bug)?

I might. However, proposing a patch is probably not an adequate first
action.

What is your general attitude towards the problem? Should there be a
separate package as suggested in the initial report? Or should it simply
be installed along the rest of numpy (I guess all packages using
numpydoc also imploy/depend on numpy)? Was this bug ever discussed with
upstream?

Michael


-- 
GPG key:  1024D/3144BE0F Michael Hanke
http://mih.voxindeserto.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#559916; Package python-numpy. (Fri, 01 Oct 2010 00:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondrej Certik <ondrej@certik.cz>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Fri, 01 Oct 2010 00:33:04 GMT) Full text and rfc822 format available.

Message #27 received at 559916@bugs.debian.org (full text, mbox):

From: Ondrej Certik <ondrej@certik.cz>
To: Michael Hanke <michael.hanke@gmail.com>, 559916@bugs.debian.org
Cc: Sandro Tosi <morph@debian.org>
Subject: Re: Bug#559916: [Python-modules-team] Bug#559916: Lots of code duplication because this is still unresolved
Date: Thu, 30 Sep 2010 17:30:28 -0700
On Thu, Sep 30, 2010 at 3:46 PM, Michael Hanke <michael.hanke@gmail.com> wrote:
> On Thu, Sep 30, 2010 at 11:56:03PM +0200, Sandro Tosi wrote:
>> Thanks for your interest in this bug; are you also going a bit further
>> and propose a patch to fix it (this would actually help to resolve
>> this bug)?
>
> I might. However, proposing a patch is probably not an adequate first
> action.
>
> What is your general attitude towards the problem? Should there be a
> separate package as suggested in the initial report? Or should it simply
> be installed along the rest of numpy (I guess all packages using
> numpydoc also imploy/depend on numpy)? Was this bug ever discussed with
> upstream?

Or try to get this accepted into sphinx upstream? I think that's the
best solution.

Ondrej




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#559916; Package python-numpy. (Fri, 01 Oct 2010 05:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Fri, 01 Oct 2010 05:12:03 GMT) Full text and rfc822 format available.

Message #32 received at 559916@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Ondrej Certik <ondrej@certik.cz>, 559916@bugs.debian.org, Michael Hanke <michael.hanke@gmail.com>
Subject: Re: [Python-modules-team] Bug#559916: Bug#559916: Lots of code duplication because this is still unresolved
Date: Fri, 1 Oct 2010 07:09:13 +0200
Hello,

On Fri, Oct 1, 2010 at 02:30, Ondrej Certik <ondrej@certik.cz> wrote:
> On Thu, Sep 30, 2010 at 3:46 PM, Michael Hanke <michael.hanke@gmail.com> wrote:
>> On Thu, Sep 30, 2010 at 11:56:03PM +0200, Sandro Tosi wrote:
>>> Thanks for your interest in this bug; are you also going a bit further
>>> and propose a patch to fix it (this would actually help to resolve
>>> this bug)?
>>
>> I might. However, proposing a patch is probably not an adequate first
>> action.
>>
>> What is your general attitude towards the problem? Should there be a
>> separate package as suggested in the initial report? Or should it simply
>> be installed along the rest of numpy (I guess all packages using
>> numpydoc also imploy/depend on numpy)? Was this bug ever discussed with
>> upstream?

The reply to this question (the same thing I wondered some time ago)
is: how other packages do? is there some other packages that ship
third party sphinx extensions? how do they install them?

What would you want to discuss with upstream about that? it seems a
distribution problem not an upstream one.

> Or try to get this accepted into sphinx upstream? I think that's the
> best solution.

I don't think so, for upstream it's an additional level of complexity:
what if numpy wants to release a new version (also containing changes
in numpydoc), should they have to wait for sphinx to release or
coordinate? it seems unpractical.

Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#559916; Package python-numpy. (Sun, 31 Oct 2010 02:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sun, 31 Oct 2010 02:18:03 GMT) Full text and rfc822 format available.

Message #37 received at 559916@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: 559916@bugs.debian.org
Cc: Sandro Tosi <morph@debian.org>, Michael Hanke <michael.hanke@gmail.com>
Subject: upstream somewhat reacted -- separate package
Date: Sat, 30 Oct 2010 22:16:07 -0400
http://pypi.python.org/pypi/numpydoc/0.4

novo:/tmp/numpydoc-0.4
$> /bin/ls *py
comment_eater.py     docscrape.py     __init__.py  phantom_import.py  setup.py
compiler_unparse.py  docscrape_sphinx.py  numpydoc.py  plot_directive.py  traitsdoc.py

installs under numpydoc package, so we could simply package/follow this one I
guess.  It might require sphinx >= 1.

P.S. thanks go to Matthew Brett for sharing the news
-- 
                                  .-.
=------------------------------   /v\  ----------------------------=
Keep in touch                    // \\     (yoh@|www.)onerussian.com
Yaroslav Halchenko              /(   )\               ICQ#: 60653192
                   Linux User    ^^-^^    [175555]






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#559916; Package python-numpy. (Wed, 03 Nov 2010 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 03 Nov 2010 19:03:03 GMT) Full text and rfc822 format available.

Message #42 received at 559916@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Yaroslav Halchenko <debian@onerussian.com>, 559916@bugs.debian.org
Cc: Michael Hanke <michael.hanke@gmail.com>
Subject: Re: [Python-modules-team] Bug#559916: upstream somewhat reacted -- separate package
Date: Wed, 3 Nov 2010 20:01:14 +0100
Hello,

On Sun, Oct 31, 2010 at 03:16, Yaroslav Halchenko <debian@onerussian.com> wrote:
> http://pypi.python.org/pypi/numpydoc/0.4
>
> novo:/tmp/numpydoc-0.4
> $> /bin/ls *py
> comment_eater.py     docscrape.py     __init__.py  phantom_import.py  setup.py
> compiler_unparse.py  docscrape_sphinx.py  numpydoc.py  plot_directive.py  traitsdoc.py
>
> installs under numpydoc package, so we could simply package/follow this one I
> guess.  It might require sphinx >= 1.
>
> P.S. thanks go to Matthew Brett for sharing the news

I don't have much interest in this package, so I'm totally fine if
you'd like to transform this bug in an ITP and package numpydoc
outside numpy package (it would be nice if it will live in DPMT too)

Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Added indication that bug 559916 blocks 609519 Request was from Ben Finney <ben+debian@benfinney.id.au> to control@bugs.debian.org. (Tue, 11 Jan 2011 05:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#559916; Package python-numpy. (Fri, 17 Jun 2011 08:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Tassi <gareuselesinge@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Fri, 17 Jun 2011 08:45:03 GMT) Full text and rfc822 format available.

Message #49 received at 559916@bugs.debian.org (full text, mbox):

From: Enrico Tassi <gareuselesinge@debian.org>
To: 559916@bugs.debian.org
Subject: Any progress?
Date: Fri, 17 Jun 2011 10:35:34 +0200
Any progress there? This bugs blocks 544515...

Cheers
-- 
Enrico Tassi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#559916; Package python-numpy. (Fri, 17 Jun 2011 08:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Fri, 17 Jun 2011 08:57:05 GMT) Full text and rfc822 format available.

Message #54 received at 559916@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Enrico Tassi <gareuselesinge@debian.org>, 559916@bugs.debian.org
Subject: Re: [Python-modules-team] Bug#559916: Any progress?
Date: Fri, 17 Jun 2011 10:54:24 +0200
On Fri, Jun 17, 2011 at 10:35, Enrico Tassi <gareuselesinge@debian.org> wrote:
> Any progress there? This bugs blocks 544515...

patches are welcome

-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Bug reassigned from package 'python-numpy' to 'wnpp'. Request was from Luis Pedro Coelho <luis@luispedro.org> to control@bugs.debian.org. (Tue, 28 Jun 2011 22:57:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions python-numpy/1:1.3.0-3. Request was from Luis Pedro Coelho <luis@luispedro.org> to control@bugs.debian.org. (Tue, 28 Jun 2011 22:57:05 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'important' Request was from Luis Pedro Coelho <luis@luispedro.org> to control@bugs.debian.org. (Tue, 28 Jun 2011 22:57:05 GMT) Full text and rfc822 format available.

Owner recorded as Luis Pedro Coelho <luis@luispedro.org>. Request was from Luis Pedro Coelho <luis@luispedro.org> to control@bugs.debian.org. (Tue, 28 Jun 2011 22:57:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: numpy -- please package sphinxext as a package (e.g. python-numpy-sphinxext)' from 'numpy: please package sphinxext as a package (e.g. python-numpy-sphinxext)' Request was from Raphael Geissert <geissert@debian.org> to control@bugs.debian.org. (Mon, 09 Jan 2012 21:28:17 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Luis Pedro Coelho <luis@luispedro.org>. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Wed, 06 Jun 2012 00:39:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#559916; Package wnpp. (Mon, 11 Jun 2012 19:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Denis Laxalde <denis@laxalde.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 11 Jun 2012 19:48:03 GMT) Full text and rfc822 format available.

Message #71 received at 559916@bugs.debian.org (full text, mbox):

From: Denis Laxalde <denis@laxalde.org>
To: 559916@bugs.debian.org
Subject: Re: Bug#559916: numpy: please package sphinxext as a package (e.g. python-numpy-sphinxext)
Date: Mon, 11 Jun 2012 15:45:20 -0400
retitle 559916 ITP: python-numpydoc-sphinx -- numpy sphinx extension
owner 559916 !
thanks

I have a package ready: http://mentors.debian.net/package/numpydoc

-- 
Denis Laxalde




Changed Bug title to 'ITP: python-numpydoc-sphinx -- numpy sphinx extension' from 'RFP: numpy -- please package sphinxext as a package (e.g. python-numpy-sphinxext)' Request was from Denis Laxalde <denis@laxalde.org> to control@bugs.debian.org. (Mon, 11 Jun 2012 19:48:05 GMT) Full text and rfc822 format available.

Owner recorded as Denis Laxalde <denis@laxalde.org>. Request was from Denis Laxalde <denis@laxalde.org> to control@bugs.debian.org. (Mon, 11 Jun 2012 19:48:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: numpydoc -- numpy sphinx extension' from 'ITP: python-numpydoc-sphinx -- numpy sphinx extension' Request was from Denis Laxalde <denis@laxalde.org> to control@bugs.debian.org. (Fri, 27 Jul 2012 02:33:06 GMT) Full text and rfc822 format available.

Added indication that bug 559916 blocks 694744 Request was from Ben Finney <ben+debian@benfinney.id.au> to control@bugs.debian.org. (Thu, 29 Nov 2012 22:12:05 GMT) Full text and rfc822 format available.

Removed indication that bug 559916 blocks 609519 Request was from Ben Finney <ben+debian@benfinney.id.au> to control@bugs.debian.org. (Fri, 30 Nov 2012 01:09:07 GMT) Full text and rfc822 format available.

Removed indication that bug 559916 blocks Request was from Ben Finney <ben+debian@benfinney.id.au> to control@bugs.debian.org. (Fri, 30 Nov 2012 01:09:08 GMT) Full text and rfc822 format available.

Removed indication that bug 559916 blocks 694744 Request was from Ben Finney <ben+debian@benfinney.id.au> to control@bugs.debian.org. (Fri, 30 Nov 2012 01:09:09 GMT) Full text and rfc822 format available.

Merged 559916 676375 Request was from Ben Finney <ben+debian@benfinney.id.au> to control@bugs.debian.org. (Fri, 30 Nov 2012 01:09:09 GMT) Full text and rfc822 format available.

Merged 559916 631877 676375 Request was from Ben Finney <ben+debian@benfinney.id.au> to control@bugs.debian.org. (Fri, 30 Nov 2012 01:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Denis Laxalde <denis@laxalde.org>:
Bug#559916; Package wnpp. (Fri, 30 Nov 2012 06:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Denis Laxalde <denis@laxalde.org>. (Fri, 30 Nov 2012 06:06:03 GMT) Full text and rfc822 format available.

Message #94 received at 559916@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: Denis Laxalde <denis@laxalde.org>
Cc: 559916@bugs.debian.org
Subject: ITP: numpydoc -- numpy sphinx extension
Date: Fri, 30 Nov 2012 06:03:05 +0000
unmerge 676375
close 676375
unmerge 631877
close 631877
stop

There's already 559916.  The package name currently chosen by the ITP owner is
numpydoc, not python-numpydoc and not python-numpy.  Feel free to rename the
package to what fits the python policy best.
http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=71;bug=559916
But that package is no longer at mentors.  Denis, do you still intend to
package this software ?

Regards,

Bart Martens



Disconnected #676375 from all other report(s). Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Fri, 30 Nov 2012 06:06:07 GMT) Full text and rfc822 format available.

Disconnected #631877 from all other report(s). Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Fri, 30 Nov 2012 06:06:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#559916; Package wnpp. (Wed, 05 Dec 2012 21:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Denis Laxalde <denis@laxalde.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 05 Dec 2012 21:21:06 GMT) Full text and rfc822 format available.

Message #103 received at 559916@bugs.debian.org (full text, mbox):

From: Denis Laxalde <denis@laxalde.org>
To: Bart Martens <bartm@debian.org>
Cc: 559916@bugs.debian.org, Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Subject: Re: ITP: numpydoc -- numpy sphinx extension
Date: Wed, 05 Dec 2012 22:17:48 +0100
Hi,

Bart Martens wrote:
> But that package is no longer at mentors.  Denis, do you still intend to
> package this software ?

The package is still in the SVN repo of python-modules [1]. I did the 
packaging as a training and as it seems a useful addition to Debian 
(initially RFS). So yes, I still intend to maintain the package but 
haven't found a sponsor yet (asked on debian-python). Perhaps, Yaroslav 
or Michael would be interested in sponsoring the package?

Regards,
Denis

[1]: 
http://anonscm.debian.org/viewvc/python-modules/packages/numpydoc/trunk/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Denis Laxalde <denis@laxalde.org>:
Bug#559916; Package wnpp. (Thu, 06 Dec 2012 01:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Denis Laxalde <denis@laxalde.org>. (Thu, 06 Dec 2012 01:30:03 GMT) Full text and rfc822 format available.

Message #108 received at 559916@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: Denis Laxalde <denis@laxalde.org>
Cc: Bart Martens <bartm@debian.org>, 559916@bugs.debian.org, Michael Hanke <michael.hanke@gmail.com>
Subject: Re: ITP: numpydoc -- numpy sphinx extension
Date: Wed, 5 Dec 2012 20:26:33 -0500
would you mind if we strip -sphinx from the binary package name?  to
follow python policy closer it should be just python-numpydoc as the
module name.

also I believe it is better to have the team as the Maintainer while
individual uploaders in Uploaders

if you would not oppose those changes I could sponsor the upload

On Wed, 05 Dec 2012, Denis Laxalde wrote:

> Hi,

> Bart Martens wrote:
> >But that package is no longer at mentors.  Denis, do you still intend to
> >package this software ?

> The package is still in the SVN repo of python-modules [1]. I did
> the packaging as a training and as it seems a useful addition to
> Debian (initially RFS). So yes, I still intend to maintain the
> package but haven't found a sponsor yet (asked on debian-python).
> Perhaps, Yaroslav or Michael would be interested in sponsoring the
> package?

> Regards,
> Denis

> [1]: http://anonscm.debian.org/viewvc/python-modules/packages/numpydoc/trunk/


-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#559916; Package wnpp. (Sun, 09 Dec 2012 21:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Denis Laxalde <denis@laxalde.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 09 Dec 2012 21:24:03 GMT) Full text and rfc822 format available.

Message #113 received at 559916@bugs.debian.org (full text, mbox):

From: Denis Laxalde <denis@laxalde.org>
To: Yaroslav Halchenko <yoh@debian.org>, 559916@bugs.debian.org
Cc: Bart Martens <bartm@debian.org>, Michael Hanke <michael.hanke@gmail.com>
Subject: Re: Bug#559916: ITP: numpydoc -- numpy sphinx extension
Date: Sun, 09 Dec 2012 22:20:55 +0100
Yaroslav Halchenko wrote:
> would you mind if we strip -sphinx from the binary package name?  to
> follow python policy closer it should be just python-numpydoc as the
> module name.
>
> also I believe it is better to have the team as the Maintainer while
> individual uploaders in Uploaders
>
> if you would not oppose those changes I could sponsor the upload

No problem, I updated the svn repository in python-modules. Let me know 
if there's anything else I should do.

Regards,
Denis



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Denis Laxalde <denis@laxalde.org>:
Bug#559916; Package wnpp. (Mon, 10 Dec 2012 02:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Denis Laxalde <denis@laxalde.org>. (Mon, 10 Dec 2012 02:00:03 GMT) Full text and rfc822 format available.

Message #118 received at 559916@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: Denis Laxalde <denis@laxalde.org>
Cc: 559916@bugs.debian.org, Bart Martens <bartm@debian.org>, Michael Hanke <michael.hanke@gmail.com>
Subject: Re: Bug#559916: ITP: numpydoc -- numpy sphinx extension
Date: Sun, 9 Dec 2012 20:57:07 -0500
as you might have mentioned -- I have uploaded the package -- thanks
! ;-)  so let's see how smooth it would go through NEW

it would be nice if you check (or may be you already know) what are
upstream's plans for Python 3 support, it might be good to add
python3-numpydoc package whenever upstream supports it.

Cheers

On Sun, 09 Dec 2012, Denis Laxalde wrote:

> Yaroslav Halchenko wrote:
> >would you mind if we strip -sphinx from the binary package name?  to
> >follow python policy closer it should be just python-numpydoc as the
> >module name.

> >also I believe it is better to have the team as the Maintainer while
> >individual uploaders in Uploaders

> >if you would not oppose those changes I could sponsor the upload

> No problem, I updated the svn repository in python-modules. Let me
> know if there's anything else I should do.

-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 10 Dec 2012 07:06:05 GMT) Full text and rfc822 format available.

Reply sent to Denis Laxalde <denis@laxalde.org>:
You have taken responsibility. (Mon, 10 Dec 2012 21:03:11 GMT) Full text and rfc822 format available.

Notification sent to Yaroslav Halchenko <debian@onerussian.com>:
Bug acknowledged by developer. (Mon, 10 Dec 2012 21:03:11 GMT) Full text and rfc822 format available.

Message #125 received at 559916-close@bugs.debian.org (full text, mbox):

From: Denis Laxalde <denis@laxalde.org>
To: 559916-close@bugs.debian.org
Subject: Bug#559916: fixed in numpydoc 0.4-1
Date: Mon, 10 Dec 2012 21:00:38 +0000
Source: numpydoc
Source-Version: 0.4-1

We believe that the bug you reported is fixed in the latest version of
numpydoc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 559916@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Denis Laxalde <denis@laxalde.org> (supplier of updated numpydoc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 06 Jun 2012 15:20:20 -0400
Source: numpydoc
Binary: python-numpydoc
Architecture: source all
Version: 0.4-1
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Denis Laxalde <denis@laxalde.org>
Description: 
 python-numpydoc - Sphinx extension to support docstrings in Numpy format
Closes: 559916
Changes: 
 numpydoc (0.4-1) unstable; urgency=low
 .
   * Initial release (Closes: #559916)
Checksums-Sha1: 
 e16311d90df4428060e8bf68cf41152f1820179f 1386 numpydoc_0.4-1.dsc
 543c78a049a3ee6ab5fe8f85a178c257b20dd0d4 28972 numpydoc_0.4.orig.tar.gz
 2ef97c62939391fc26412cc3ab5e079882b6abd7 4148 numpydoc_0.4-1.debian.tar.gz
 3767e42e5a43a18d1b63f0f00224d7b3db49a01e 30026 python-numpydoc_0.4-1_all.deb
Checksums-Sha256: 
 588569dfaeb03987dc418b3fddd946795715da41e1f8171a09dc9c1d58616a8e 1386 numpydoc_0.4-1.dsc
 20e07c60766a7a044f228de5bdcc0d10b84a9f0b460e0c09422a4f60ef21ff8f 28972 numpydoc_0.4.orig.tar.gz
 eafab81e16fad9dcc32cfcceb711e51205fefe3a8f3630fdff91e4b27deb8723 4148 numpydoc_0.4-1.debian.tar.gz
 e5e61257cc86a7b056aa431ee7a3bbff35f16aa0460cf3d73d7d78ce5886bf34 30026 python-numpydoc_0.4-1_all.deb
Files: 
 d61ae7758c50106a2783e0b1a99e6310 1386 python optional numpydoc_0.4-1.dsc
 e5bdd98f84f2bb220373819e20c27091 28972 python optional numpydoc_0.4.orig.tar.gz
 43e8dce20bba19b0f35a5db6b2472301 4148 python optional numpydoc_0.4-1.debian.tar.gz
 fe9062b2117db5420df9f02898132269 30026 python optional python-numpydoc_0.4-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlDFQNMACgkQjRFFY3XAJMihSQCgmK75olPBMd3G20uT6KUC1+YF
+loAnRQxCt9x8LWI7EbXjkd5uwHItdGL
=HdR7
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#559916; Package wnpp. (Mon, 10 Dec 2012 21:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Denis Laxalde <denis@laxalde.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 10 Dec 2012 21:15:06 GMT) Full text and rfc822 format available.

Message #130 received at 559916@bugs.debian.org (full text, mbox):

From: Denis Laxalde <denis@laxalde.org>
To: Yaroslav Halchenko <yoh@debian.org>, 559916@bugs.debian.org
Subject: Re: Bug#559916: ITP: numpydoc -- numpy sphinx extension
Date: Mon, 10 Dec 2012 22:12:09 +0100
Yaroslav Halchenko wrote:
> as you might have mentioned -- I have uploaded the package -- thanks
> !;-)   so let's see how smooth it would go through NEW

Great, thank you!

> it would be nice if you check (or may be you already know) what are
> upstream's plans for Python 3 support, it might be good to add
> python3-numpydoc package whenever upstream supports it.

No problem, I'll have a look into this.

-- 
Denis Laxalde



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 08 Jan 2013 07:26:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:09:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.